Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6769 - lpr 0.46 breaks netatalk printing
Summary: lpr 0.46 breaks netatalk printing
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-06 01:29 UTC by jdalbec
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 06:36:45 UTC


Attachments (Terms of Use)

Description jdalbec 1999-11-06 01:29:33 UTC
lpr 0.46 has changed the format of the control file to
require a device/inode line.  This breaks the netatalk
printer access protocol daemon.  Attempting to print a file
causes lpd to send mail saying:

Your printer job (<name>)
was not printed because it was not linked to the original
file

Comment 1 Bill Nottingham 1999-11-08 15:46:59 UTC
How does netatalk print files?

Comment 2 jdalbec 1999-11-09 00:51:59 UTC
First, I was wrong about the device/inode line.  It's not required.
Netatalk builds the control and data files in the spool directory with
user = group = root.  I wrote a patch to netatalk that fchown()s the
data file just like the lpr command does.  I've posted the patch on
the linux-atalk mailing list but I haven't heard anything.

Comment 3 Bernhard Rosenkraenzer 1999-11-22 17:25:59 UTC
Please send me a copy of the patch so it can be included in the RPM.

Comment 4 mwilson 2000-01-12 03:45:59 UTC
I would like to point out that apparently this breakage is either version or
installation specific... I use the combination of:

bash$ rpm -q netatalk
netatalk-1.4b2+asun2.1.3-6
bash$ rpm -q lpr
lpr-0.46-1
bash$

without any problems.  Upgrading to any later version of lpr DOES break
printing, with a different message (see bug 8288).

Comment 5 mwilson 2000-01-12 03:50:59 UTC
Just had a thought... perhaps adding this patch (assuming it was added), is what
broke printer accounting for me (hint).

Comment 6 jdalbec 2000-01-12 04:11:59 UTC
I don't think 2.1.3-6 includes the patch.  The control file is unchanged,
so I don't see how that would break accounting.  I'm currently using my
patched version with lpr 0.48-1.
I suppose netatalk 2.1.3-6 and lpr 0.46-1 would work if the printer
operator were in the "root" group.  Is that the case in your setup?
(The "root" user doesn't work because lpd changes that to "lp".)

Comment 7 mwilson 2000-01-12 14:13:59 UTC
I'm not sure if I understand you... yes, root can print, and I can print, and
I'm a member of root.  But other users can print, that aren't a member of root,
or lp, or daemon, or anything (I've put no restrictions on printing... yet).

/var/spool/lpd is set to root.daemon, and the spool directories inside it are
set to root.lp.

Does that help?

Comment 8 jdalbec 2000-01-12 22:39:59 UTC
Never mind.  The difference is that you are printing Linux-to-Mac and
I am printing Mac-to-Linux.  Our bugs are completely unrelated.

Comment 9 Bill Nottingham 2000-02-05 06:36:59 UTC
This should be fixed in 0.50-2, as it does not require that the
files owners/groups be changed.


Note You need to log in before you can comment on or make changes to this bug.